$(function(){
	if($("#accompany").val()==''||$("#accompany").val()==null||$("#accompany").val()==undefined){
		$("#accompany").val("本公司将由                      与您电话预约后陪同您前往进行复检。");
	}
	formatCheckDate();
});

function IsDate(){
	var a = true;
    var str = $("#checkupDate").val();    
    if(str.length!=0){    
        var reg = /^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2})$/;     
        var r = str.match(reg);     
	        if(r==null){
	            alert('对不起，您输入的日期格式不正确!'); 
	            a = false;
	        }    
        } 
    return a;
}     

function saveNoticeP0000005Info(){
	if(IsDate()){
		$.ajax({
			type:"POST",
			url:"saveNoticeP0000005Info.do",
			data:$("#supplementCheckUpForm").serialize(),
			async: false,
			error :function(){
				alert("系统错误，请稍后再试。");
			},
			success :function(data){
				if(data=="00"){
					alert("体检通知单保存成功。");
				}else{
					alert("体检通知单保存失败。");
				}
			}
		});	
	}
}

function printP0000005Info(){
	if(IsDate()){
		$.ajax({
			type:"POST",
			url:"saveNoticeP0000005Info.do",
			data:$("#supplementCheckUpForm").serialize(),
			async: false,
			error :function(){
				alert("系统错误，请稍后再试。");
			},
			success :function(data){
				if(data=="00"){
					var objId = $("#objId").val();
					$.ajax({
						type:"POST",
						url:"printP0000005Info.do",
						data:"objId="+objId,
						error :function(){
							alert("系统错误，请稍后再试。");
						},
						success :function(data){
							if(data=="00"){
								alert("打印通知单成功。");
							}else{
								alert("打印通知单失败。");
							}
						}
					});
				}else{
					alert("打印通知单失败。");
				}
			}
		});	
	}
}

//拼接中国格式时间
function   formatDate()   {    
  var now1 = new Date();
  var   year=now1.getYear(); 
  if(year<=1900){
  	year=year+1900;
  }
  var   month=now1.getMonth()+1;     
  var   date=now1.getDate();      
  var time =  year+"年"+month+"月"+date+"日";    
  return time;
}  

function formatCheckDate(){
	var str = $("#checkupDate").val(); 
	if(str.length>10){
		$("#checkupDate").val(str.substring(0,10));
	}
}

